> For the complete documentation index, see [llms.txt](https://docs.squidrouter.exchange/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squidrouter.exchange/old-v2-documentation-deprecated/add-a-widget/widget/customization-guide/default-user-settings.md).

# Default User Settings

### **Default slippage:** *slippage*

The default slippage must be selected from the slippage options, which are `0.5%`, `1%`, `1.5%` or `3%`.

```jsx
slippage: 1 // Slippage, see SlippageOption type
```

### **Infinite Approval setting:** *infiniteApproval*

When the user swaps tokens with the widget for the first time, they have to grant Squid permission to route the tokens on their behalf.

By enabling the Infinite Approval setting by default, you authorize Squid to route an unlimited amount of them. In some instances, unchecking the Infinite Approval option can improve the user’s security since it limits the amount that is approved by Squid's Router contract.

```jsx
infiniteApproval: true
```

### **Instant execution setting:** *instantExec*

Instant execution is a feature coming in early 2023 that makes any transaction up to only 10 seconds long. A small fee is associated with this setting.

```jsx
instantExec: true
```

### **Price impact warning trigger points:** *priceImpactWarnings*

The user will receive a warning in the UI if the price impact percentage is over the `warning` value, and will be unable to swap if the price impact is over the `critical` value.

We recommend keeping these as default.

```jsx
priceImpactWarnings: {
      warning: 3,
      critical: 5,
    }
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.squidrouter.exchange/old-v2-documentation-deprecated/add-a-widget/widget/customization-guide/default-user-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
